Bug 506954 - Review Request: uberftp - GridFTP-enabled ftp client
Review Request: uberftp - GridFTP-enabled ftp client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike Bonnet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 10:14 EDT by Steve Traylen
Modified: 2014-08-29 11:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-30 04:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mikeb: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2009-06-19 10:14:57 EDT
Spec URL: http://cern.ch/steve.traylen/uberftp-rpms/uberftp.spec
SRPM URL: http://cern.ch/steve.traylen/uberftp-rpms/uberftp-2.3-1.fc11.src.rpm
Description: 
UberFTP is the first interactive, GridFTP-enabled ftp client.
It supports GSI authentication, parallel data channels and
third party transfers.


There is a successful koji build here.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1424838

$ rpmlint ../RPMS/x86_64/uberftp-2.3-1.fc11.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I require a package sponsor.
Comment 1 Steve Traylen 2009-06-19 10:28:07 EDT
Excuse me. I left a load of debugging the spec file.

Updated now:

Spec URL: http://cern.ch/steve.traylen/uberftp-rpms/uberftp.spec
SRPM URL: http://cern.ch/steve.traylen/uberftp-rpms/uberftp-2.3-2.fc11.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=1424869

Still no errors with rpmlint.

Steve
Comment 2 Steve Traylen 2009-06-23 14:38:54 EDT
After working on some other packages I realized some improvements.
to these ones.

Spec URL: http://cern.ch/steve.traylen/uberftp-rpms/uberftp.spec
SRPM URL: http://cern.ch/steve.traylen/uberftp-rpms/uberftp-2.3-3.fc11.src.rpm

rpmlint passes okay.

Koji builds okay.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1432298
Comment 3 Mike Bonnet 2009-07-16 15:49:58 EDT
You know version 2.4 is available, right?  After the review is complete you may want to consider updating to that version.

Tarball in the specfile matches upstream tarball:

$ md5sum uberftp-client-2.3.tar.gz uberftp-review/uberftp-client-2.3.tar.gz 
f5b1febe3b705c8ddf23c7fc05d70e7b  uberftp-client-2.3.tar.gz
f5b1febe3b705c8ddf23c7fc05d70e7b  uberftp-review/uberftp-client-2.3.tar.gz

rpmlint output is clean:

$ rpmlint -v *.rpm
uberftp.i586: I: checking
uberftp.src: I: checking
uberftp-debuginfo.i586: I: checking
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Source code is NCSA licensed and a copy of the license text is included in the copyright file in the source tarball.  The copyright file must be included in %doc according to the packaging guidelines.

Built successfully (again) in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1432298

If you look at the build log it looks like %{optflags} is getting included twice in the gcc invocations:

https://koji.fedoraproject.org/koji/getfile?taskID=1480256&name=build.log

Not a huge deal, but maybe something that should be investigated upstream.
Comment 4 Steve Traylen 2009-07-22 15:00:05 EDT
Updates,

http://cern.ch/steve.traylen/uberftp-rpms/uberftp-2.4-4.fc11.src.rpm
http://cern.ch/steve.traylen/uberftp-rpms/uberftp.spec

changes from .spec file:

- Update source to version 2.4
- Include copyright file in package.

$ rpmlint SPECS/uberftp.spec RPMS/x86_64/uberftp-2.4-4.fc11.x86_64.rpm \
     RPMS/x86_64/uberftp-debuginfo-2.4-4.fc11.x86_64.rpm \
     SRPMS/uberftp-2.4-4.fc11.src.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Builds for fc11, fc12, el4 and el5:

https://koji.fedoraproject.org/koji/taskinfo?taskID=1492727
https://koji.fedoraproject.org/koji/taskinfo?taskID=1492732
https://koji.fedoraproject.org/koji/taskinfo?taskID=1492737
https://koji.fedoraproject.org/koji/taskinfo?taskID=1492741
Comment 5 Mike Bonnet 2009-07-22 16:18:56 EDT
Looks good, follows the general package guidelines and the globus-specific guidelines.  I'm approving this package, nice job.
Comment 6 Steve Traylen 2009-07-29 16:29:23 EDT
New Package CVS Request
=======================
Package Name: uberftp
Short Description: GridFTP-enabled ftp client
Owners: stevetraylen
Branches: F-10 F-11 EL-4 EL-5
InitialCC:
Comment 7 Jason Tibbitts 2009-07-29 17:03:00 EDT
CVS done.
Comment 8 Fedora Update System 2009-07-30 03:37:05 EDT
uberftp-2.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/uberftp-2.4-4.fc11
Comment 9 Fedora Update System 2009-07-30 03:45:39 EDT
uberftp-2.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/uberftp-2.4-4.fc10
Comment 10 Fedora Update System 2009-07-30 03:54:57 EDT
uberftp-2.4-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/uberftp-2.4-4.el5
Comment 11 Fedora Update System 2009-07-30 04:03:51 EDT
uberftp-2.4-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/uberftp-2.4-4.el4
Comment 12 Steve Traylen 2009-07-30 04:05:24 EDT
All done marking for next release.
Comment 13 Fedora Update System 2009-08-03 15:21:54 EDT
uberftp-2.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-08-03 15:25:11 EDT
uberftp-2.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-08-05 13:21:45 EDT
uberftp-2.4-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-08-25 12:03:30 EDT
uberftp-2.4-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Steve Traylen 2014-08-29 09:29:37 EDT
Package Change Request
======================
Package Name: uberftp
New Branches: epel7
Owners: stevetraylen
Comment 18 Gwyn Ciesla 2014-08-29 11:52:16 EDT
Branch exists.

Note You need to log in before you can comment on or make changes to this bug.